Subject: Re: bug#33050: 27.0.50; [macOS] Problem with process input with process-connection-type nil

From: Filipp Gunbin <[email-masked]>
Date: Wed, 24 Oct 2018 01:41:50 +0300

Thomas,

On 22/10/2018 21:53 -0400, Thomas Fitzsimmons wrote:
[..]
> As for that specific line, I may have copied it from another part of
> Emacs that reads a password via a pipe; when I look now at other places
> that bind this variable to nil, I see comments like this one in
> lisp/gnus/nntp.el:
>
>     ;; A non-nil connection type results in mightily odd behavior where
>     ;; (process-send-string proc "\^M") ends up sending a "\n" to the
>     ;; ssh process.  --Stef
>     ;; Also a nil connection allow ssh-askpass to work under X11.
>     (let ((process-connection-type nil))
>       (apply 'start-process "nntpd" buffer command))
>
> Today I tested my setup (x86_64 GNU/Linux, OpenLDAP ldapsearch 2.4.40)
> without setting process-connection-type to nil, and it still works.  The
> documentation for that variable says that the fallback is to use a pipe
> if all ptys are busy in which case I guess this would still fail for
> you.
>
> Your test case behaves the same way for me on x86_64 GNU/Linux.

Do you mean it fails, or it works ok (regardless of
process-connection-type value)?

> Maybe our ldapsearch commands are behaving differently.  What version of
> ldapsearch are you using?

I have OpenLDAP 2.4.28.

Filipp